Package pygccxml :: Package declarations :: Module mdecl_wrapper :: Class mdecl_wrapper_t

# type mdecl_wrapper_t

source code

    object --+
             |
            mdecl_wrapper_t

Multiple declarations wrapper.

The main purpose of this class is to allow an user to work on many declarations, as they were only one single declaration.

Example: mb = module_builder_t( ... ) #lets say we want to exclude all member functions, that returns reference to int: mb.member_functions( return_type='int &' ).exclude()

"exclude" function will be called on every function that match the criteria.

Instance Methods

__init__(self, decls) | source code

__nonzero__(self) | source code

__len__(self) returns the number of declarations | source code

__getitem__(self, index) provides access to declaration | source code

__iter__(self) | source code

__setattr__(self, name, value) Updates the value of attribute on all declarations. | source code

__getattr__(self, name) | source code

__contains__(self, item) | source code

to_list(self) | source code

Method Details

### __init__(self, decls)
(Constructor)

source code

Parameters:
  - `decls` (list of `declaration wrappers`) - list of declarations to operate on.
Overrides: object.__init__

### __setattr__(self, name, value)

source code

Updates the value of attribute on all declarations.

Parameters:
  - `name` - name of attribute
  - `value` - new value of attribute
Overrides: object.__setattr__

### __getattr__(self, name)
(Qualification operator)

source code

Parameters:
  - `name` - name of method